/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommunicaterecord.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;

import java.util.List;

/**
 * 沟通记录Entity
 * @author 马鹏波
 * @version 2018-06-06
 */
public class WorkCommunicateRecord extends DataEntity<WorkCommunicateRecord> {
	
	private static final long serialVersionUID = 1L;
	private User comUser;		// 沟通记录人员
	private String projectId;		// 项目编号
	private List<WorkCommunicateContent> workCommunicateContentList = Lists.newArrayList();
	
	public WorkCommunicateRecord() {
		super();
	}

	public WorkCommunicateRecord(String id){
		super(id);
	}

	@ExcelField(title="沟通记录人员", fieldType=User.class, value="", align=2, sort=7)
	public User getComUser() {
		return comUser;
	}

	public void setComUser(User comUser) {
		this.comUser = comUser;
	}
	
	@ExcelField(title="项目编号", align=2, sort=8)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public List<WorkCommunicateContent> getWorkCommunicateContentList() {
		return workCommunicateContentList;
	}

	public void setWorkCommunicateContentList(List<WorkCommunicateContent> workCommunicateContentList) {
		this.workCommunicateContentList = workCommunicateContentList;
	}
}